JASMINE(1)

NAME
jasmine - JavaScript Testing Framework

SYNOPSIS
jasmine [command] [options] [files] [--]

DESCRIPTION

  Commands:

init
    initialize jasmine

examples
    install examples

help,-h
    show help

version,-v show jasmine and jasmine-core versions

enumerate
    enumerate suites and specs

If no command is given, Jasmine specs will be run.

OPTIONS

--parallel=N
    Run in parallel with N workers

--parallel=auto
    Run in parallel with an automatically chosen number of workers

--no-color
    turn off color in spec output

--color
    force turn on color in spec output

--filter=
    filter specs to run only those that match the given regular expression

--filter-path=
    run only the spec or suite that matches the given path, e.g. --filter-path='["parent suite name","child suite name","spec name"]'

--helper=
    load helper files that match the given string

--require=
    load module that matches the given string

--fail-fast
    stop Jasmine execution on spec failure

--config=
    path to the Jasmine configuration file

--reporter=
    path to reporter to use instead of the default Jasmine reporter

--verbose
    print information that may be useful for debugging configuration

--  marker to signal the end of options meant for Jasmine

The given arguments take precedence over options in your jasmine.json. The path to your optional jasmine.json can also be configured by setting the JASMINE_CONFIG_PATH environment variable.

jasmine-core v5.11.0